NEROCMD(1)

NAME
nerocmd - Use the Nero Linux burn engine from the command line

SYNOPSIS
nerocmd [OPTIONS] COMMAND [ARGUMENTS]

DESCRIPTION
NeroCMD is a console application that facilitates the processing of commands which NeroAPI understands. NeroCMD can perform the following tasks:
 - list all available drives, speeds and formats
 - obtain information about the current disc in any drive
 - burn:
   - Data CD and Data DVD (using ISO 9660, UDF, and UDF/ISO 9660 Bridge)
   - Data HD DVD and Blu-ray Disc (UDF)
   - bootable CD/DVD using the El-Torito standard
   - Audio CD with various audio formats
   - Mixed Mode CD and Enhanced CD (CD EXTRA)
   - disc image (ISO, NRG, and Cue Sheets)
   - DVD-Video and miniDVD
   - multisession disc
 - perform disc copy operation
 - estimate final data track size
 - grab audio tracks and store them in files (Digital Audio Extraction)
 - eject disc from drive and load disc into drive
 - erase rewritable media
 - display the disc information contained in an image file
 - display NeroAPI version information NeroCMD understands COMMANDs. Each of these COMMANDs have some specific ARGUMENTS. Also, the application has some universal OPTIONS that can be used with any command.

OPTIONS
These options can be used with any NeroCMD command listed below.

-h, --help
    Shows NeroCMD generic options. The options that will be listed when you use this argument apply to all COMMANDs. Use the option below to get more help on a specific COMMAND.

--help=COMMAND
    Shows NeroCMD options that can be used with a specific command. The command that you specify as an argument is the corresponding command-line option without the starting '--' characters. For example, if you want to get some help on how to use the '--write' command, simply type: nerocmd --help=write. The COMMANDs that this option understands are: bootable, copy, eject, erase, estimate, info, list-audio-formats, list-drives, load, multisession, read-audio-tracks, scanbus, and write.

-v, --version
    Outputs version information and exit.

--no-error-log
    Does not store log messages.

--error-log=PATH
    Stores NeroCMD log messages in PATH.

--add-log-timestamp
    Adds a timestamp to NeroCMD log message file names. This option is useful for batch operations.

--no-user-interaction
    Allows the entire process to take place without user interaction (no questions asked).

--check-license
    Checks the license status and outputs some details on the serial number currently used. The exit code will be:
     - 0 if NeroCMD can be started with this serial number
     - 4 if no serial number can be found on the system
     - 5 if NeroCMD cannot start with the serial number found.

COMMANDS
NeroCMD accepts the following commands:

--eject
    Ejects disc from drive. This command will never check if a disc is inserted in a drive. It simply opens the drive tray.

--erase[=METHOD]
    Erases rewritable media. The METHOD argument specifies the erase method to use. These arguments can be:
     - quick only erases the TOC
     - full erases the complete disc If the METHOD argument is not present, NeroCMD will use the quick erase method by default.

--estimate
    Estimates the total size of a data track including data and overhead for the file system if desired.

--info=TYPE
    Obtains the information about the current disc in a drive or about a drive itself. You can also display the disc information contained in an image file. The TYPE argument specifies what information to get. These arguments can be:
     - disc displays information about a disc
     - drive gets information about a drive
     - image shows the information contained in an image file

--list-audio-formats
    Lists all the audio formats that can be converted to audio tracks. This command will output a list of all available formats with their associated extension(s). This command has no arguments.

--list-drives
    Lists all the available drives. This command will output a list of all available devices with NeroCMD. It shows their coordinates, name, and host adapter name. This command has no arguments.

--load
    Loads disc into drive.

--read-audio-track
    Grabs audio tracks and stores them in files. This command will use the DAE (Digital Audio Extraction) capability of a drive.

--scanbus
    Scans all devices on all buses and prints the inquiry strings. This command will output a list of all available devices with NeroCMD and shows their coordinates, name, firmware revision, and type. This command has no arguments.

--write
    Burn or copy a disc. This command has many arguments as it is used to burn and to copy any kind of disc.

DRIVE HANDLING
NeroCMD can access a drive through its name or its coordinates. Each command that will need to access a specific drive will understand the following arguments:

--drive=DRIVE_NAME
    Looks for a drive matching NAME and uses it if it is found. If your computer has several devices with the same device name then only the first found device will be used. In such a case, you should use the device coordinates (see below).

--drive=HA,ID[,LUN]
    Looks for a drive matching the coordinates given by HA, ID and LUN. The LUN parameter is optional: it will be set to 0 if it is not specified.
     - HA is the host adapter number
     - ID is the target ID of the device
     - LUN is the device's logical unit number. Please note that NeroCMD will always ignore the LUN parameter. Therefore you can ignore it without any problem.

--image-recorder
    Shortcut to select the Image Recorder. This is the same as using --drive="Image Recorder" or --drive=-1,0.

BOOKTYPE CHANGE ARGUMENTS
If your DVD recorder supports the booktype change feature, NeroCMD will be able to use it. You can control this booktype change by adding some arguments when using the write command:

--no-booktype-change
    Does not change the booktype of the disc.

--booktype=TYPE
    Changes the booktype to TYPE. TYPE has to be one of the following:
     - dvdrom to set the booktype to DVD-ROM
     - current to keep the current booktype
     - physical to set the booktype to the physical disc type
     - auto to let the drive decide

BOOTABLE DISCS ARGUMENTS
You can make an ISO disc bootable with NeroCMD, bu using the El-Torito standard. You can then specify either a boot image file or the content of a logical drive (typically a floppy drive) as boot source. In order to make an ISO file system bootable, simply pass one of these arguments to NeroCMD when writing the disc:

--boot-image=PATH
    Uses the boot image at PATH as boot source. By default, NeroCMD comes with a DOS boot image located in /usr/share/nero/DosBootImage.ima.

--boot-logical-drive=DRIVE
    Uses the logical drive identified by the DRIVE device file as boot source. Normally, you will use /dev/fd0 as DRIVE for a floppy disk drive. Please note that the logical drive's content has to fit on the disc!

In addition to these arguments, you can trigger expert settings with the following arguments when needed:

--boot-emulation=TYPE
    Sets TYPE as boot emulation type. The value of TYPE has to be one of the following:
     - none No boot emulation
     - hdd Hard disk drive emulation
     - floppy_1_44 1.44 MB floppy emulation
     - floppy_1_22 1.22 MB floppy emulation
     - floppy_2_88 2.88 MB floppy emulation

--boot-load-segment=ADDRESS
    Sets ADDRESS as boot load segment. ADDRESS must be a hexadecimal value.

--boot-load-size=SIZE
    Specifies the number of sectors to load.

--boot-message=MESSAGE
    Sets the boot message to MESSAGE.

DISC COPY ARGUMENTS
NeroCMD can perform a disc copy by adding the --disc-copy argument when using the write command. By default the application will perform a copy on the fly. You can also use a temporary image for more security and reliability. In such a case, NeroCMD will create a temporary image of the source disc and then burn this image to the target disc. Copying on the fly is risky. Please make sure that the source disc is clean and that the read speed is at least double the write speed. As mentioned above, you have to use the following argument to make a copy of a disc:

--disc-copy=DRIVE
    Copies the disc in DRIVE. The DRIVE argument is mandatory as it specifies the source drive name or coordinates. See the drive handling section for further details. For example, you can use the following command line to copy the disc in drive Drive1 to the disc in Drive2:
      nerocmd --write --disc-copy=Drive1 --drive=Drive2

You can also use the following arguments when you want to use the copy over image function:

--copy-over-image
    Triggers the copy over image process. By default, the temporary image will be stored in /tmp/TempImage.nrg and will be automatically deleted once the copy process has finished.

--copy-temp-image-path=PATH
    Sets PATH as the temporary image path. This path must also contain the image name. Therefore, never pass just a directory when using this option.

--copy-keep-image
    Use this argument if you do not want NeroCMD to delete the temporary image once the copy process has finished.

NeroCMD has some arguments that can be used to control the source disc reading process. These arguments are as follows:

--copy-retries=RETRIES
    When NeroCMD encounters some read errors, it can try to read the flawed sector again. Use this argument to specify the maximum number of read attempts.

--copy-read-speed-kbps=SPEED
    Sets the source disc read speed to SPEED (in KB/sec).

--copy-ignore-data-read-errors
    Use this argument to ignore data tracks read errors.

--copy-abort-on-audio-read-errors
    Use this argument if you want NeroCMD to abort the copy process when an audio track read error occures.

--copy-ray-read
    Use this argument to read the source disc sectors in raw mode.

--copy-read-isrc
    Use this argument if you also want to read the ISRC (International Standard Recording Code) of the source disc. Please note that if you pass this argument to NeroCMD, then copy process will take longer.

EJECT ARGUMENTS

--drive=DRIVE
    This mandatory option specifies the drive to eject. See the drive handling section for further details.

ERASE ARGUMENTS
NeroCMD can erase a rewritable disc with the --erase[=METHOD] command. If you do not give the METHOD argument, NeroCMD will use the quick erase method. The METHOD argument has to be:
 - quick to only erase the table of contents (default)
 - full to completely erase the disc. If you select "quick" (or if you do not pass any 'method' argument) the disc will appear to be empty but data will not be physically erased. Please use this erase method with caution if the disc contains confidential data. If you select "full", all data on the disc will be physically erased. Please note that physically erasing all the data will take some time. This erase command has the following arguments:

--drive=DRIVE
    This mandatory option specifies the drive containing the rewritable disc to be erased. See the drive handling section for further details.

--disable-eject
    Use this argument if you do not want the disc to be ejected once the erase process has finished.

--force-eject-after-erase
    This argument has to be passed to force the ejection of the disc at the end of the erase process.

ESTIMATE ARGUMENTS
NeroCMD can estimate the total size of a data track including data and overhead for the file system if desired. Use the following flags to specify what exactly has to be taken into account for the calculation:

--estimate-no-fs-overhead
    Does not estimate file system overhead size

--estimate-no-data
    Does not estimate the data size

--estimate-no-exact-size
    Does not perform precise estimation

Determining the exact size will require a certain amount of time. Turning exact estimation off will speed up the process but the results will then only be an estimate rather than a reliable value.
    The estimate command has the following arguments:

--drive=DRIVE
    This mandatory option specifies the drive that will be used to write the data track. See the drive handling section for further details.

--image-recorder
    Shortcut to select the Image Recorder. This is the same as using --drive="Image Recorder" or --drive=-1,0.

--no-recursion
    Does not recurse into subfolders.

In addition to these arguments, you can also use the ISO and UDF file system specific arguments as well as the volume label arguments. Please consult the corresponding sections in this manual page for more details.
    The write method to be used for the data track can also be specified through the following arguments:

--tao
    The data track will be written in Track-at-once.

--dao
    The data track will be written in Disc-at-once. This is the default behavior if you do not pass any write method argument.

--dao96
    The data track will be written in Disc-at-once/96 if the recorder supports it.

FILE SYSTEM ARGUMENTS
Data tracks that are created using NeroCMD can contain an ISO 9660 file system, a UDF file system or both. To create an ISO file system, simply use the --iso option. The same applies for UDF: simply use the --udf option. If you use both options at the same time you will have a UDF/ISO 9660 Bridge file system on the track. Please note that, by default, an ISO 9660 file system will have Joliet extensions (without relax restrictions) and its data mode will be mode 1. The following arguments are used with an ISO 9660 file system:

--mode2
    The ISO 9660 file system data mode will be ISO mode 2/XA.

--no-joliet
    No Joliet extension will be used on the ISO 9660 file system.

--relax-joliet
    Uses relax Joliet file name length restrictions. This will extend the 64 characters name length restriction for Joliet file names.

--rockridge
    Rock Ridge extensions will be added to the ISO 9660 file system. This is used to further describe the files in the ISO 9660 file system to a Unix host. It provides information such as long filenames, UID/GID, POSIX permissions, symbolic links, as well as block and character device files.

--cd-extra
    The data track will be part of a CD EXTRA. This options is only relevant when writing a CD EXTRA. It will automatically trigger Mode 2/XA.

The following arguments are used with an UDF system:

--udf-revision=REV
    Use the REV UDF file system revision. The REV parameter has to be one of the following revisions; 1.02, 1.50, 2.00, 2.01, 2.50 or 2.60. Please note that most operating systems will not be able to work with the created file system if you use UDF 2.50 or 2.60.

--udf-partition-type=TYPE
    Use TYPE as UDF partition type. The TYPE parameter has to be one of the following types:
     - physical for a physical partition
     - virtual for a virtual partition
     - sparable for a sparable partition

INFO ARGUMENTS
With the --info command, NeroCMD can display information about a specific device, about a specific disc in a device, or even about a disc image. The TYPE argument must have one of the following values:
 - disc displays information about a disc
 - drive gets information about a drive
 - image shows the information contained in an image file For a disc image file, you will have to pass the image path as argument: nerocmd --info=image Image.nrg The info command has the following arguments when TYPE is set to disc:

--drive=DRIVE
    This mandatory option specifies the drive that contains the disc for which you want to get information. See the drive handling section for further details.

--cd-text
    Read CD TEXT information if it is on the disc.

--extended
    Get extended file system information for all data tracks. Such information can include the used file system, its extensions, or whether or not the track is bootable.

--read-isrc
    Read the ISRC (International Standard Recording Code) and the media catalog number.

Please note that the process will take some time if you use the --extended or the --read-isrc arguments.
    The info command has the following arguments when TYPE is set to drive:

--drive=DRIVE
    This mandatory option specifies the drive to query for information. See the drive handling section for further details.

--image-recorder
    Shortcut to select the Image Recorder. This is the same as using --drive="Image Recorder" or --drive=-1,0.

LOAD ARGUMENTS

--drive=DRIVE
    This mandatory option specifies the drive from which to load. See the drive handling section for further details.

MEDIUM TYPE ARGUMENTS
By default, NeroCMD will set the medium type to CD. You can use the following arguments to change this medium type:

--dvd
    Sets the medium type to DVD.

--hd-dvd
    Sets the medium type to HD DVD.

--bd
    Sets the medium type to Blu-ray Disc.

--medium-type=TYPE
    Sets the medium type to TYPE. The TYPE argument must be one of the following:
     - media_cd All CD media
     - media_cdr CD-R
     - media_cdrw CD-RW
     - media_no-cdr All CD media except CD-R
     - media_no_cdrw All CD media except CD-RW
     - media_dvd_any All DVD media (similar to --dvd)
     - media_dvd_any_r9 All double layer DVD media
     - media_dvd_m DVD-R/-RW
     - media_dvd_m_r DVD-R
     - media_dvd_m_rw DVD-RW
     - media_dvd_m_r9 DVD-R DL (double layer)
     - media_dvd_p DVD+R/+RW
     - media_dvd_p_r DVD+R
     - media_dvd_p_rw DVD+RW
     - media_dvd_p_r9 DVD+R DL (double layer)
     - media_dvd_ram DVD-RAM
     - media_no_dvd_m_rw All DVD media, except DVD-RW
     - media_no_dvd_m_r All DVD media, except DVD-R
     - media_no_dvd_p_rw All DVD media, except DVD+RW
     - media_no_dvd_p_r All DVD media, except DVD+R
     - media_hd_dvd All HD DVD media (similar to --hd-dvd)
     - media_hd_dvd_r HD DVD-R
     - media_hd_dvd_rw HD DVD-RW
     - media_hd_dvd_ram HD DVD-RAM
     - media_hd_dvd_r_dl HD DVD-R DL (double layer)
     - media_hd_dvd_rw_dl HD DVD-RW DL (double layer)
     - media_bd All Blu-ray media (similar to --bd)
     - media_bd_r BD-R
     - media_bd_re BD-RE
     - media_bd_r_dl BD-R DL (double layer)
     - media_bd_re_dl BD-RE DL (double layer)

MULTISESSION ARGUMENTS
NeroCMD supports multisession on any disc type. For multisession features, you can use several options when you use the --write command. To start a multisession disc, you will have to add the --close-session option when writing the disc. After that, you can continue writing to this disc by adding the --import, --import-udf, or --import-vms option (depending on your disc file system) when you write the next session. Following is a full list of all the arguments for multisession:

--close-session
    Closes only the session, not the entire disc. That way, a disc is not closed and further sessions can be written on the disc. Multisession support is thereby enabled.

--import=SESSION_NUMBER
    Imports the corresponding session according to SESSION_NUMBER value.

--import-udf
    The session to import contains a UDF file system. This argument can be used when importing an ISO/UDF Bridge file system to force the import of the UDF structures.

--import-vms
    Uses the virtual multisession data when importing. This is relevant for DVD+RW for example. You can use the --info disc command to find out if your disc has virtual multisession data.

READ AUDIO TRACKS ARGUMENTS
Disc drives that have DAE (Digital Audio Extraction) capability can be used to create copies of the raw audio data stored on Audio CDs. This command relies on that capability. For each track you want to rip, you will have to pass the track number followed by the output file name. You can, of course, repeat this procedure for ripping more than one track at a time. For example, to rip the first audio track to 'audiotrack1.wav', use:
  nerocmd --read-audio-track 1 audiotrack1.wav To rip multiple tracks use:
  nerocmd --read-audio-tracks 1 track1.wav 2 track2.wav 3 track3.wav This command has the following arguments:

--drive=DRIVE
    This mandatory option specifies the drive containing the disc from which you want to extract audio data. See the drive handling section for further details.

--read-speed=SPEED
    Sets the read speed to SPEED, in X (multiple of 150 KB/sec for CDs).

--read-speed-kbps=SPEED
    Sets the read speed to SPEED (in KB/sec).

VOLUME LABELS ARGUMENTS
You can specify volume labels for each data track you create. The length of the labels and the character set to be uses will be automatically determined on the basis of which file system the disc has. Therefore the resulting name might vary somewhat from the one you entered. You can set the disc volume name with the following option:

--volume-name=NAME
    Sets the volume name for the disc. This volume name will, for example, be used by automounters to identify the disc.

In addition to this global volume name, you can also specify some additional labels if your disc contains an ISO 9660 file system:

--system-id=ID
    Specifies the system ID. It can be up to 32 characters long.

--volume-set=SET
    Specifies the volume set ID. It can be up to 128 characters long.

--publisher=PUB
    Describes the publisher of the disc and usually includes a mailing address and phone number. It can be up to 128 characters long.

--data-preparer=PREP
    Describes the disc creator and usually includes a mailing address and phone number. It can be up to 128 characters long.

--application=APP
    This should describe the application that created the disc. It can be up to 128 characters long.

--copyright=COPYRIGHT
    Specifies copyright information. It can be up to 37 characters long.

--abstract=ABSTRACT
    Specifies the abstract file name. It can be up to 37 characters long.

--bibliographic=BIBLIOGRAPHIC
    Specifies the bibliographic file name. It can be up to 37 characters long.

WRITE ARGUMENTS
This is the main command of the program. With this command you can burn discs which will contain data and/or audio tracks. You can also write a disc image or even copy a complete disc. The parameters you pass when using the --write command depend on the type of disc you want to burn. If you want to burn a pure data disc, simply use the --data parameter. For example:
  nerocmd --write --data file1 file2 file3... For pure audio discs, use the --audio parameter. The syntax is the same as for data discs:
  nerocmd --write --audio audiofile1 audiofile2... You can mix --data and --audio parameter: in this case, you will get a Mixed-Mode CD or a CD EXTRA if you pass the --cd-extra option:
  nerocmd --write [--cd-extra] --data file [...] --audio audiofile [...] You can also write an image file to a physical disc with the --image=PATH parameter. Simply replace the PATH argument option with the path to the image:
  nerocmd --write --image /path/to/image.nrg Before using the write command, please look at the file systems, volume labels, multisession and medium type sections on this manual page. To copy a disc or to add bootable information to an ISO disc, please refer to the corresponding sections. The write command has the following general arguments:

--drive=DRIVE
    This mandatory option specifies the drive that will be used to write the disc

--image-recorder
    Shortcut to select the Image Recorder. This is the same as using --drive="Image Recorder" or --drive=-1,0.

--no-recursion
    Do not recurse into subfolders when adding data files.

--cd-text
    Adds CD TEXT information to the disc. If you choose to add CD TEXT information, please also make sure that you use the Disc-at-once (or Disc-at-once/96 if you recorder supports it) write method.

--artist=ARTIST
    Set ARTIST as disc artist. The passed string will be automatically reduced to 65 characters and converted to the ISO-8859-1 character set. This is mandatory for the CD TEXT specification.

--title=TITLE
    Set TITLE as disc title. The passed string will be automatically reduced to 65 characters and converted to the ISO-8859-1 character set. This is mandatory for the CD TEXT specification.

You can use the following arguments to specify the actions:

--speed-test
    If you pass this argument, NeroCMD will test the source data speed prior to starting the burn process. The application will then reduce the write speed if the source data speed is too slow. This option is very usefull when the source of some data is a network drive.

--simulate
    Simulate the entire burn process, i.e. do everything with the laser turned off. Please note that simulation is not supported by all disc types.

--verify
    Performs a bit-per-bit verification on the written data once the burn process has finished. If you pass this argument, the process will take longer, but you can be sure that the disc is burned correctly.

--speed=SPEED
    Set the write speed to SPEED (in X).

--speed-kbps=SPEED
    Set the write speed to SPEED (in KB/sec).

--close-session
    Use this argument to only close the session and keep the disc opened for further burn sessions. See the multisession section for more details.

To set the desired write method, use one of the following arguments:

--tao
    Uses Track-at-once to burn the disc. This argument only works with CDs.

--dao
    Uses Disc-at-once to burn the disc. This is the default behavior if you do not pass any write method argument at all.

--dao96
    Uses Disc-at-once/96 to burn the disc. Make sure that your recorder supports this write method before using it.

To set some write device options, use the following arguments if needed:

--no-buffer-underrun-prot
    Disables buffer underrun protection. This argument only makes sense when writing a CD.

--detect-non-empty-disc
    Use this argument if you want NeroCMD to detect rewritable discs which are not empty.

--force-erase-disc
    Use this option if you want NeroCMD to automatically erase a rewritable disc before writing on it.

--dvd-high-compatible
    Turns DVD High Compatibility mode on. This will ensure that at least 1 GB will be written on the disc to enforce compatibility with stand-alone DVD players. This argument only makes sense when writing DVDs.

--use-all-space
    When writing to a DVD+RW, you can use this argument to use all available space on the disc.

NeroCMD also supports overburn for CD and DVD media. To use overburn, add one of the following arguments:

--overburn=MAX_BLOCKS
    Enables overburn and write up to MAX_BLOCKS on the disc.

--relative-cd-overburn=MAX_BLOCKS
    Enables relative CD overburn and writes at most MAX_BLOCKS in addition to the original CD capacity.

SUGGESTIONS AND BUG REPORTS
Found bugs can be reported to the Nero Technical Support Department (techsupport@nero.com). Before reporting bugs, please check that you have the most recent version of NeroCMD installed on your computer.

AUTHOR
NeroCMD is developed by Nero AG.